<?php
define('ROOT','../');
define('GCMS',true);
require_once (ROOT.'system/power.php');
$diz -> head('Фотоальбомы');
$diz -> title('<b>Фотоальбомы</b>');
if ($aut == true) {
$m_al = $db -> dbcount('count(`id`)','albom_pav',"`user` = '".$ya['id']."'");
$msg .= '<div class="tochechki">
'.$diz -> img('help.png').' <a href="pravila.php">Правила</a></br>
'.$diz -> img('albom/my.png').' <a href="./my_albom.php?id='.$ya['id'].'">Мои альбомы</a> ('.$m_al.')</br>
'.$diz -> img('albom/new.png').' <a href="./func.php?mode=newal">Добавить фотоальбом</a> </br>
'.$diz -> img('albom/new_foto.png').' <a href="upload.php">Добавить фотографию</a> </br>
</div>';
}
$for = $db -> query("SELECT `id`,`name` FROM `albom_cat` order by `sid`");
if ($for -> num_rows > 0) {
while ($assoc = $for -> fetch_assoc()) {
$nst2 = $db -> dbcount('COUNT(*)','albom_pav','`time` > '.(time()-86400).' and `cat`='.$assoc['id'].'');
if ($nst2==0)$nst2=NULL;
else $nst2='<span style="color:red">+'.$nst2.'</span>';
if($ya['level']>1){$admin = '<a href="./func.php?id='.$assoc['id'].'&amp;mode=delr">[Удалить]</a> | <a href="./func.php?id='.$assoc['id'].'&amp;mode=redraz">[Изменить]</a>';}
$st = $db -> dbcount('COUNT(*)','albom_pav','`cat`='.$assoc['id'].'');                   
$msg .= '<div class="spisok">'.$diz -> img('albom/albom.png').'<a href="cat'.$assoc['id'].'"> '.$assoc['name'].'</a> ('.$st.''.$nst2.') '.$admin.'</div>';
}
} else {
$msg .= '<div class="fon">Категории пока не созданы</div>';
}
if ($aut == true) {
$msg .= '<div class="tochechki">';
if($ya['level']>3){$msg .= '<a href="./func.php?mode=new">Создать категорию</a>';}
$msg .='</div>';
}

$msg .= '<div class="levo">'.$diz -> img('home.png').'<a href="/">На главную</a></div>';
#####Копирайт#######
require_once ('../system/kopy.php');
$diz -> out($msg);
?>